API Reference
Chat Models
1 endpoints under /api/chat-models
get
/api/chat-models๐ API keyCHAT_MODEL_READ
List Chat Models
Get chat models with pagination, sorting, and filtering.
Query parameters
| Field | Type | Required | Description |
|---|---|---|---|
page | integer | โ | Page number |
page_size | integer | โ | Items per page |
sort_by | string | null | โ | Field to sort by |
sort_order | string | โ | Sort order |
search | string | null | โ | Search in name, label, or provider |
name | string | null | โ | Filter by model name |
provider | Provider | null | โ | Filter by provider |
is_active | boolean | null | โ | Filter by active status |
is_default | boolean | null | โ | Filter by default status |
is_operational | boolean | null | โ | Filter by operational status |
file_upload | boolean | null | โ | Filter by file upload capability |
tool_calling | boolean | null | โ | Filter by tool calling capability |
structured_output | boolean | null | โ | Filter by structured output capability |
image_creation | boolean | null | โ | Filter by image creation capability |
Responses
- 200Successful Response
PaginatedResponse_ChatModelDTO_